require( "scripts/style" );

MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		--[[
		image="images/minigame/minigame_bg",
		scale=1.00, x=24, y=24,
		--]]
		image="backgrounds/fullscreendialog",
		x=0, y=0,
		
		MiniGamePopUp
		{
			name="minigamepopup",
			x=0,
			y=0,
			w=1024,
			h=768,

			rows=gRows,
			columns=gColumns,

			SetStyle(Match3_MenuButtonStyle),
			Button
			{
				name="menu",
				label="menu",
				x=kMax-150, y=20,
				command=
					function()
						SendGameMessage("pause");
						DisplayDialog{'scripts/pause.lua', showReplayButton=false, showDiaryButton=false, showStudioButton = true, showTownButton=true};
					end
			},
			
		  --[[
			SetStyle( ButtonStyle ),
			Button
			{
				name="minigame_hangup",
				label="minigame_hangup",
				--x=kMax-350, y=kMax-60,
				x=900, y=720,
				command=
					function()
						CloseWindow('no');
					end
			}
		  --]]
		},
		
		
		Text
		{
			name="title",
			font=PlaceholderFont,
			x=kCenter+50, y=20,
			w=500, h=100
		},
	}
}